﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Musiclibrary {
    public class RemotePlaylistSource : PlaylistSource {
        public RemotePlaylistSource(Playlist playlist, ILibrary library)
            : base(playlist) {
            this._library = library;
        }

        private ILibrary _library;
        public override ILibrary Library {
            get { return this._library; }
        }

        public override bool IsEditable {
            get {
                return false;
            }
        }

        public override string Name {
            get {
                return base.Name;
            }
            set {
                throw new NotSupportedException();
            }
        }

        public override void Delete() {
            throw new NotSupportedException();
        }

        public override bool CanEditSongs {
            get {
                return false;
            }
        }

        public override void AddSong(ISong song) {
            throw new NotSupportedException();
        }

        public override void DeleteSong(ISong song) {
            throw new NotSupportedException();
        }
    }
}
