﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace Musiclibrary {
    /// <summary>
    /// Converts a bool to int: true equals 1 and false equals 0
    /// </summary>
    class BoolToNumberConverter : IValueConverter {
        #region IValueConverter Member

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            if ((bool)value)
                return 1;
            else
                return 0;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            if ((int)value >= 1)
                return true;
            else
                return false;
        }

        #endregion
    }
}
