﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Musiclibrary {
    /// <summary>
    /// A popup which offers the user to either import a folder or a single file.
    /// </summary>
    public partial class Import : Popup {
        public Import() {
            InitializeComponent();
        }

        private void ImportFolder_Click(object sender, RoutedEventArgs e) {
            MainWindow.Instance.ImportDir();
        }

        private void ImportFile_Click(object sender, RoutedEventArgs e) {
            MainWindow.Instance.ImportSingleFile();
        }

        private void Close_Click(object sender, RoutedEventArgs e) {
            this.Adorner.Hide();
        }
    }
}
