﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
namespace Musiclibrary {
    public class CurrentPlaylist : IPlaylist {
        #region IPlaylist Member

        public string Name {
            get {
                return "Current playlist";
            }
        }

        public bool IsEditable {
            get { return false; }
        }

        public bool ItemsEditable {
            get { return true; }
        }

        public IEnumerable<ISong> Songs {
            get { return App.This.Player.Playlist.Cast<ISong>(); }
        }

        public void AddSong(ISong song) {
            App.This.Player.Playlist.Add(song);
        }

        public void DeleteSong(ISong song) {
            App.This.Player.Playlist.Remove(song);
        }

        public ILibrary Library {
            get { return App.This.Library; }
        }

        public void Delete() {
            throw new NotSupportedException();
        }

        #endregion

    }
}
